(function($) {

    wp.customize.bind('ready', function() {

        wp.customize('sidemenu_rounded_corners', function(this_customizer_control) { initiate_show_value(this_customizer_control); });

        wp.customize('sidemenu_close_rounded_corner', function(this_customizer_control) { initiate_show_value(this_customizer_control); });

        wp.customize('sidemenu_dashicon_size', function(this_customizer_control) { initiate_show_value(this_customizer_control); });

        wp.customize('sidemenu_transition_duration', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            ' seconds', // postfix
            0.1, // multiplier
            1 // deductor
        ); });

        wp.customize('sidemenu_auto_open_delay', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            ' milliseconds' // postfix
        ); });

        wp.customize('sidemenu_overlay_opacity', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            '', // postfix
            1, // multiplier
            1 // deductor
        ); });

        wp.customize('sidemenu_width', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            '%' // postfix
        ); });

        wp.customize('sidemenu_min_width', function(this_customizer_control) { initiate_show_value(this_customizer_control); });

        wp.customize('sidemenu_width_mobile', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            '%' // postfix
        ); });

        wp.customize('sidemenu_min_width_mobile', function(this_customizer_control) { initiate_show_value(this_customizer_control); });

        wp.customize('sidemenu_height', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            '%' // postfix
        ); });

        wp.customize('sidemenu_title_font_size', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            'em', // postfix
            0.1 // multiplier
        ); });

        wp.customize('sidemenu_title_font_weight', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            '' // postfix
        ); });

        wp.customize('sidemenu_menu_padding', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            'em', // postfix
            0.1 // multiplier
        ); });

        wp.customize('sidemenu_text_font_size', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            'em', // postfix
            0.1 // multiplier
        ); });

        wp.customize('sidemenu_section_border_width', function(this_customizer_control) { initiate_show_value(this_customizer_control,
            'px', // postfix
            1, // multiplier
            1 // deductor
        ); });

        function initiate_show_value(customizer_control, value_postfix = 'px', value_multiplier = 1, value_deductor = 0) {
            show_value(wp.customize(customizer_control.id).get(), customizer_control.id, value_postfix, value_multiplier, value_deductor);
            show_value_bind(customizer_control, value_postfix, value_multiplier, value_deductor);
        }

        function show_value_bind(customizer_control, value_postfix, value_multiplier, value_deductor) {
            customizer_control.bind(function(value) {
                show_value(value, customizer_control.id, value_postfix, value_multiplier, value_deductor);
            });
        }

        function show_value(value, control_name, value_postfix, value_multiplier, value_deductor) {
            if ($('#_customize-description-' + control_name + '-value').length) {
                $('#_customize-description-' + control_name + '-value').text(parseFloat(((value - value_deductor) * value_multiplier).toFixed(3)) + value_postfix);
            } else {
                $('#_customize-description-' + control_name + '').append($('<br /><strong id="_customize-description-' + control_name + '-value">' + parseFloat(((value - value_deductor) * value_multiplier).toFixed(3)) + value_postfix + '</strong>'));
            }
        }

    });

})(jQuery);
